import { execQueryAsync } from "../db";

export async function getFlagsOnUid(uid: number): Promise<{ flag_id: number; flag_name: string }[]> {
    const query = `
        SELECT flag_name FROM flag_name
        INNER JOIN flag ON flag.flag_id = flag_name.flag_id
        INNER JOIN mailbox_message ON mailbox_message.message_id = flag.message_id
        WHERE mailbox_message.uid = ?
    `;
    const values = [uid];
    return await execQueryAsync(query, values);
}

export async function getFlagsOnId(messageId: number): Promise<{ flag_id: number; flag_name: string }[]> {
    const query = `
        SELECT flag_name FROM flag_name
        INNER JOIN flag ON flag.flag_id = flag_name.flag_id
        INNER JOIN mailbox_message ON mailbox_message.message_id = flag.message_id
        WHERE mailbox_message.message_id = ?
    `;
    const values = [messageId];
    return await execQueryAsync(query, values);
}
