import express from "express";
import RoomAbl from "../abl/Room-abl";
import validator from "../validator/validator";
const router = express.Router();

/**
 * Return all messages from a room
 */
router.get("/:roomId/messages", async (req, res) => {
    await validator.validate("getMessages", req.params, res, RoomAbl.getMessages);
});

/**
 * Return all members from a room
 */
router.get("/:roomId/members", async (req, res) => {
    await validator.validate("getMembers", req.params, res, RoomAbl.getMembers);
});

router.post("/response", async (req, res) => {
    await validator.validate("response", req.body, res, RoomAbl.response);
});

export default router;
